summaryrefslogtreecommitdiff
path: root/tests/mv/into-self-3
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-06 23:05:16 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit33173e867aa45b7f88551551da51e36875582813 (patch)
tree8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/into-self-3
parentdf0beae1eb1318869d51a064aec8fdd401877cbf (diff)
downloadcoreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to find the required dir. Now, exit 77 in this script so callers don't have to. Adjust callers.
Diffstat (limited to 'tests/mv/into-self-3')
-rwxr-xr-xtests/mv/into-self-321
1 files changed, 6 insertions, 15 deletions
diff --git a/tests/mv/into-self-3 b/tests/mv/into-self-3
index d97a0fddc..c8b31ff3d 100755
--- a/tests/mv/into-self-3
+++ b/tests/mv/into-self-3
@@ -1,7 +1,7 @@
#!/bin/sh
# move a directory into itself, with a twist
-# Copyright (C) 1998, 1999, 2000 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2000, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,20 +21,13 @@ if test "$VERBOSE" = yes; then
mv --version
fi
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+
dir1=is3-dir1
dir2=is3-dir2
-framework_failure=0
-rm -rf $dir1 $dir2 || framework_failure=1
-mkdir $dir1 $dir2 || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
-
-# Make sure we get English translations.
-. $srcdir/../lang-default
+mkdir $dir1 $dir2 || framework_failure
# This mv command should exit nonzero.
mv $dir1 $dir2 $dir2 > out 2>&1 && fail=1
@@ -48,8 +41,6 @@ cat > exp <<\EOF
XXX: cannot move `ZZZ' to a subdirectory of itself, `ZZZ/ZZZ'
EOF
-cmp out2 exp || fail=1
-
-rm -fr out out2 exp $dir1 $dir2
+compare out2 exp || fail=1
exit $fail